%define real_name DBI
%define perl_version %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary:	The Perl Database Interface by Tim Bunce
Name:		perl-dbi
Version:	1.45
Release:	2tr
License:	GPL
Group:		Trustix Official
Requires:	perl >= %{perl_version}
BuildRequires:  perl-devel >= %{perl_version}
URL:		http://www.cpan.org
Source:		ftp://ftp.pasteur.fr/pub/computing/CPAN/modules/by-module/DBI/%{real_name}-%{version}.tar.gz
Prefix:		%{_prefix}
Buildroot:	%{_tmppath}/%{name}-root

%define siteperl /usr/lib/perl5/site_perl/%{perl_version}

%description
The Perl Database Interface (DBI) is a database access Application
Programming Interface (API) for the Perl Language. The Perl DBI API
specification defines a set of functions, variables and conventions that
provide a consistent database interface independent of the actual
database being used.


%prep -q
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=site PREFIX=%{prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
make test

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix}
install -o root -g root -m 755 -d $RPM_BUILD_ROOT/%{siteperl}/i586-linux/auto/DBD

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README ToDo
%{siteperl}/i586-linux-thread-multi/Bundle
%{siteperl}/i586-linux-thread-multi/DBD
%{siteperl}/i586-linux-thread-multi/DBI.pm
%{siteperl}/i586-linux-thread-multi/DBI
%{siteperl}/i586-linux-thread-multi/Win32
%{siteperl}/i586-linux-thread-multi/auto/DBI


%changelog
* Tue Nov  9 2004 Erlend Midttun <erlendbm at trustix dot com> 1.45-2tr
- Removed unused /usr/lib/perl5/site_perl/5.8.5/i586-linux/auto/DBD

* Thu Oct 21 2004 Oystein Viggen <oysteivi at trustix dot com> 1.451tr
- New upstream: 1.45

* Tue Jul 29 2003 Goetz Bock <bock at trustix dot org> 1.37-1bg
- new upstream: 1.37
- the fixed perl 5.8.0-11tr allows for the default install macro
- fixed group
- some spec file fixes

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.30-1tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.30-2em
- Rebuilt against glibc 2.3.2.

* Thu Feb 20 2003 Gotz Bock <bock at trustix dot org> perl-DBI-1.30-1bg
- build for TSL2.0 based on Mandrake package.
